/*******************************************************************************
  Filename:     hal_lcd.h

  Description:  hal lcd library header file

*******************************************************************************/

#ifndef HAL_LCD_H
#define HAL_LCD_H

#ifdef __cplusplus
extern "C" {
#endif

/*******************************************************************************
* INCLUDES
*/
#include "hal_types.h"


/*******************************************************************************
 * CONSTANTS AND DEFINES
 */

enum {
    HAL_LCD_RADIX_DEC,
    HAL_LCD_RADIX_HEX
};

enum {
    HAL_LCD_LINE_1 = 1,
    HAL_LCD_LINE_2,
    HAL_LCD_LINE_3
};


/*******************************************************************************
 * GLOBAL FUNCTIONS
 */

void halLcdInit(void);
void halLcdClear(void);
void halLcdClearLine(uint8 line);
void halLcdSetContrast(uint8 value);
uint8 halLcdGetLineLength(void);
uint8 halLcdGetNumLines(void);

void halLcdWriteChar(uint8 line, uint8 col, char text);
void halLcdWriteLine(uint8 line, const char XDATA *text);
void halLcdWriteLines(const char XDATA *line1, const char XDATA *line2, const char XDATA *line3);

void halLcdDisplayValue(uint8 line, char XDATA *pLeft, int32 value, char XDATA *pRight);
void halLcdDisplayCounters(uint8 line, int32 lValue, char lChar, int32 rValue, char rChar);
void halLcdDisplayUint16(uint8 line, uint8 radix, uint16 value);

void halLcdClearAllSpecChars(void);
void halLcdCreateSpecChar(uint8 index, const char XDATA *p5x8Spec);
void halLcdWriteSpecChar(uint8 line, uint8 col, uint8 index);

#ifdef ASSY_EXP4618_CC2420
#include "hal_lcd_sblcda4.h"
#endif

#ifdef  __cplusplus
}
#endif

/*********************************************************************************/
#endif

/*------------------------------------------------------------------------------
										  0ooo                                     
								ooo0	 (	 )                                     
								(	)	  ) /                                      
								 \ (	 (_/                                       
								  \_)		 Modify By:cuiqingwei [gary]                  
------------------------------------------------------------------------------*/